import { Component, ElementRef, ViewChild } from '@angular/core';
import { IgxDropDownComponent, IgxOverlayService, OverlaySettings, RelativePosition, RelativePositionStrategy } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'igx-overlay-create-settings';
  @ViewChild('dropDown') dropDown: IgxDropDownComponent;
  @ViewChild('button') button: ElementRef;
  private _overlaySettings: OverlaySettings;
  relPosition: RelativePosition;
  positionStrategy = RelativePositionStrategy.Auto;
  items = ['りんご', 'みかん', 'ぶどう'];

  public toggleDropDown() {
    this._overlaySettings = IgxOverlayService.createRelativeOverlaySettings(
      this.button.nativeElement,
      this.relPosition,
      this.positionStrategy);
    this.dropDown.toggle(this._overlaySettings);
  }
}
